import 'package:flutter/material.dart';

import '../common/assets.dart';

class WelcomePage extends StatelessWidget {
  const WelcomePage({Key? key}) : super(key: key);

  Padding _bulidText() {
    return const Padding(
      padding: EdgeInsets.symmetric(horizontal: 38),
      child: Text(
        'Browse & Oder All Products at Any Time',
        style: TextStyle(
          fontSize: 20,
          fontWeight: FontWeight.bold,
          color: Color(0xff2B2A2A),
          height: 23 / 20,
        ),
      ),
    );
  }

  Widget _buildView() {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        //标题
        _bulidText(),

        const SizedBox(
          height: 70,
        ),

        //图片
        Image.asset(AssetsImages.welcomePng,
            height: 300,
            //宽撑满
            width: double.infinity,

            fit: BoxFit.fitWidth),

        //按钮组
        Container(),

        //end
      ],
    );
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(child: _buildView()),
    );
  }
}
